Loading...
Searching...
No Matches
BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType > Class Template Reference

`#include <BALL/CONCEPT/baseFunctor.h>`

## Public Types

Type Definitions
typedef ResultType | result_type
typedef FirstArgumentType | first_argument_type
typedef FirstArgumentType & | first_argument_reference
typedef const FirstArgumentType & | const_first_argument_reference
typedef FirstArgumentType * | first_argument_pointer
typedef const FirstArgumentType * | const_first_argument_pointer
typedef SecondArgumentType | second_argument_type
typedef SecondArgumentType & | second_argument_reference
typedef const SecondArgumentType & | const_second_argument_reference
typedef SecondArgumentType * | second_argument_pointer
typedef const SecondArgumentType * | const_second_argument_pointer

## Detailed Description

template<class FirstArgumentType, class SecondArgumentType, class ResultType>
class BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >

Generic Binary Functor Class.

Definition at line 64 of file baseFunctor.h.

## Member Typedef Documentation

## const_first_argument_pointer

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef const FirstArgumentType* BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::const_first_argument_pointer

Definition at line 90 of file baseFunctor.h.

## const_first_argument_reference

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef const FirstArgumentType& BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::const_first_argument_reference

Definition at line 84 of file baseFunctor.h.

## const_second_argument_pointer

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef const SecondArgumentType* BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::const_second_argument_pointer

Definition at line 106 of file baseFunctor.h.

## const_second_argument_reference

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef const SecondArgumentType& BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::const_second_argument_reference

Definition at line 100 of file baseFunctor.h.

## first_argument_pointer

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef FirstArgumentType* BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::first_argument_pointer

Definition at line 87 of file baseFunctor.h.

## first_argument_reference

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef FirstArgumentType& BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::first_argument_reference

Definition at line 81 of file baseFunctor.h.

## first_argument_type

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef FirstArgumentType BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::first_argument_type

Definition at line 78 of file baseFunctor.h.

## result_type

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef ResultType BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::result_type

Definition at line 74 of file baseFunctor.h.

## second_argument_pointer

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef SecondArgumentType* BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::second_argument_pointer

Definition at line 103 of file baseFunctor.h.

## second_argument_reference

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef SecondArgumentType& BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::second_argument_reference

Definition at line 97 of file baseFunctor.h.

## second_argument_type

template<class FirstArgumentType, class SecondArgumentType, class ResultType>

typedef SecondArgumentType BALL::BinaryFunctor< FirstArgumentType, SecondArgumentType, ResultType >::second_argument_type

Definition at line 94 of file baseFunctor.h.